/*  This file is part of the KDE project
    Copyright (C) 2007 Matthias Kretz <kretz@kde.org>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License version 2 as published by the Free Software Foundation.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.

*/

#include <QtCore/QObject>
#include <QtTest/QTest>
#include "../packetpool.h"

using Phonon::PacketPool;
using Phonon::Packet;

class PacketPoolTest : public QObject
{
    Q_OBJECT
    public:
        PacketPoolTest() : m_pool(1024, 20) {}

    private slots:
        void initTestCase();
        void cleanupTestCase();

    private:
        PacketPool m_pool;
};

void PacketPoolTest::initTestCase()
{
    QCOMPARE(m_pool.packetSize(), 1024);
}

void PacketPoolTest::cleanupTestCase()
{
}

QTEST_MAIN(PacketPoolTest)

#include "packetpooltest.moc"
